Bug 1059816 - Eclipse fails to build on ppc64 due to stack overflow
Summary: Eclipse fails to build on ppc64 due to stack overflow
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: ppc64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2014-01-30 18:03 UTC by Phil Knirsch
Modified: 2015-03-05 01:21 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-03-30 13:36:28 UTC


Attachments (Terms of Use)

Description Phil Knirsch 2014-01-30 18:03:20 UTC
Description of problem:

When trying to build Eclipse on ppc64 with the latest OpenJDK with a JIT enabled  we're seeing out of memory situations again due to stack overflows.

To resolve this issue i had to increase the overall stack size of the JVM and add the MaxPermSize in the MAVEN_OPTS variable to the settings in the specfile:

export MAVEN_OPTS="-Xmx1000m -XX:MaxPermSize=256m -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState
 ${MAVEN_OPTS}"

so basically increasing the overall stack size by 100MB and adding the MaxPermSize for maven specifically.

Version-Release number of selected component (if applicable):

Tested with

java-1.7.0-openjdk-1.7.0.60-2.5.0pre.1.fc20 (http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1633164)
eclipse-4.3.0-4.fc20 (http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=169706 last known working build for ppc64)

all on a Fedora 20 ppc64 machine with the latest updates.

How reproducible:

Always

Steps to Reproduce:
1. Try to build Eclipse with the above mentioned openjdk and eclipse version on a Fedora 20 ppc64 box
2. Check the build log for the stack overflow message at the end.

Actual results:

Eclipse fails to build due to stack overflow.


Expected results:

Eclipse should build without stack overflows :)


Additional info:

The info for the recommended sizes were found via some testing and googling for others that experienced the same issue with Java stack overflows. Another recommendation that was given there was to enable forking in maven which might be a more viable long term solution to the out of memory situations, but i haven't investigated that so far.

Comment 1 Sami Wagiaalla 2014-01-31 19:34:49 UTC
Hi Phil,

Thanks for the fix! I have pushed and updates with your suggestions and started builds: http://koji.fedoraproject.org/koji/buildinfo?buildID=495017
http://koji.fedoraproject.org/koji/taskinfo?taskID=6477187

I'll close the bug once you have a successful build on PPC

Comment 2 Alexander Kurtakov 2014-03-30 13:36:28 UTC
Closing as there was a successful ppc build.
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=224286


Note You need to log in before you can comment on or make changes to this bug.